Qore Programming Language: QoreMethod Class Reference

Qore Programming Language 0.8.11

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Friends | List of all members
QoreMethod Class Reference

a method in a QoreClass More...

`#include <QoreClass.h>`

## Public Member Functions
DLLEXPORT bool | existsVariant (const type_vec_t &paramTypeInfo) const
| returns true if a variant with the given parameter signature already exists in the method
DLLEXPORT const QoreClass * | getClass () const
| returns a pointer to the parent class
DLLEXPORT const char * | getClassName () const
| returns the class name for the method
DLLEXPORT const char * | getName () const
| returns the method's name More...
DLLEXPORT const std::string & | getNameStr () const
| returns the method's name More...
DLLEXPORT bool | isBuiltin () const
| returns true if all variants of the method are builtin variants More...
DLLEXPORT bool | isPrivate () const
| returns true if all overloaded variants of a methods are private, false if at least one variant is public More...
DLLEXPORT bool | isStatic () const
| returns true if the method is static More...
DLLEXPORT bool | isSynchronized () const
| DEPRECATED: always returns false, do not use. More...
DLLEXPORT bool | isUser () const
| returns true if all variants of the method are user variants More...
DLLEXPORT bool | newCallingConvention () const
| DEPRECATED: always returns false, do not use. More...
DLLLOCAL bool | parseIsPrivate () const
| returns true if all overloaded variants of a methods are private, false if at least one variant is public (including pending uncommitted variants) More...

## Friends
class | QoreObject

## Detailed Description

a method in a QoreClass

methods can be implemented in the Qore language (user methods) or in C++ (builtin methods)

See Also
  QoreClass

## Member Function Documentation

DLLEXPORT const char* QoreMethod::getName | ( |  | ) | const

returns the method's name

Returns
  the method's name

DLLEXPORT const std::string& QoreMethod::getNameStr | ( |  | ) | const

returns the method's name

Returns
  the method's name

DLLEXPORT bool QoreMethod::isBuiltin | ( |  | ) | const

returns true if all variants of the method are builtin variants

Returns
  true if all variants of the method are builtin variants

DLLEXPORT bool QoreMethod::isPrivate | ( |  | ) | const

returns true if all overloaded variants of a methods are private, false if at least one variant is public

Returns
  true if all overloaded variants of a methods are private, false if at least one variant is public

DLLEXPORT bool QoreMethod::isStatic | ( |  | ) | const

returns true if the method is static

Returns
  true if the method is static

DLLEXPORT bool QoreMethod::isSynchronized | ( |  | ) | const

DEPRECATED: always returns false, do not use.

this method no longer returns useful information due to method overloading

Returns
  DEPRECATED: always returns false, do not use

DLLEXPORT bool QoreMethod::isUser | ( |  | ) | const

returns true if all variants of the method are user variants

Returns
  true if all variants of the method are user variants

DLLEXPORT bool QoreMethod::newCallingConvention | ( |  | ) | const

DEPRECATED: always returns false, do not use.

this method no longer returns useful information due to method overloading

Returns
  always returns false

DLLLOCAL bool QoreMethod::parseIsPrivate | ( |  | ) | const

returns true if all overloaded variants of a methods are private, false if at least one variant is public (including pending uncommitted variants)

Returns
  true if all overloaded variants of a methods are private, false if at least one variant is public (including pending uncommitted variants)

The documentation for this class was generated from the following file:

- include/qore/QoreClass.h (6585)